#!/usr/bin/env fish
mise env -s fish | source

set -l g (set_color a6d189)
set -l b (set_color 8caaee)
set -l s '#8caaee'
set -l n (set_color normal)

gum style --foreground "$s" --border double --padding "1 2" --margin "1" "mise use — changer de version"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo "$g❯$b mise use java@temurin-25$n"
mise use java@temurin-25
mise env -s fish | source
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b cat mise.toml$n"
cat mise.toml
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b java -version$n"
java -version
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
gum confirm "Passer à Java 21 ?" --default=true; or exit 0

echo "$g❯$b mise use java@temurin-21$n"
mise use java@temurin-21
mise env -s fish | source
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b cat mise.toml$n"
cat mise.toml
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b java -version$n"
java -version
